Bug 236995 - Kernel panic, etc on shutdown, and start
Kernel panic, etc on shutdown, and start
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: John Villalovos
Red Hat Kernel QE team
Depends On:
  Show dependency treegraph
Reported: 2007-04-18 16:00 EDT by Homayoun Shahri
Modified: 2015-05-08 10:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-27 10:48:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf (1.45 KB, application/octet-stream)
2007-04-18 16:00 EDT, Homayoun Shahri
no flags Details

  None (edit)
Description Homayoun Shahri 2007-04-18 16:00:41 EDT
Description of problem:
i810 driver causes kernel panic. It sometimes loads, only if first vesa is
loaded, and then one exits the server, and loads i810, but even in this case
shutdown, or reboot, causes kernel panic. The chipset is intel i965.

Version-Release number of selected component (if applicable):
Linux homayoun 2.6.18-8.1.1.el5 #1 SMP Mon Feb 26 20:37:57 EST 2007 x86_64
x86_64 x86_64 GNU/Linux

How reproducible:
Always, load i810 driver

Steps to Reproduce:
1. Boot the machine
2. Panic after the initial graphica boot, before login screen
3. Panic during reboot, if first started in init 1, and then doing init 5
Actual results:
The xorg.conf that is auto generated during installation is not valid, and is
missing the Modes line in the Screen section. Vesa driver is the only one that
works, any attemp to change the xorg.conf to load i810 causes kernel panic. The 

Expected results:
i810 to load normally and does not cause crash.

Additional info:
relevant portion of lspci is:
00:00.0 Host bridge: Intel Corporation 82Q963/Q965 Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82Q963/Q965 PCI Express Root Port (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated
Graphics Controller (rev 02)
00:02.1 Display controller: Intel Corporation 82Q963/Q965 Integrated Graphics
Controller (rev 02)
The machine is a Dell Optiplex 745 with 2 gig of memory, and the above intel
Comment 1 Homayoun Shahri 2007-04-18 16:00:41 EDT
Created attachment 152948 [details]
Comment 2 Homayoun Shahri 2007-04-19 12:37:44 EDT
One more comment: The installation never succeeded completely, as I could never
reboot properly with i810 driver loaded.

I just built kernel 2.6.20, with proper SATA option, and now everything is
working properly. I can load i810 without any issues. Seems like the problem was
the kernel i810 driver, and not the xorg i810_drv! I wonder if this is a kernel
2.6.18 issue, or redhat's modifications of it.
Comment 3 Adam Jackson 2007-04-24 11:08:53 EDT
Kernel panic means kernel bug.
Comment 4 Linda Wang 2007-08-20 11:46:05 EDT
Can the reporter provide us a backtrace of the kernel panic message?
Comment 5 Ernie Petrides 2007-09-11 17:48:33 EDT
This problem might have been addressed by the agpgart fixes made during
RHEL5.1 for bug 227391.  Please report whether the RHEL5.1 beta kernel
addresses this problem.
Comment 6 Homayoun Shahri 2007-11-19 19:20:48 EST
I just upgraded to this version of the kernel, i.e 2.6.18-53, but the issue
still persists. I get a blank screen, after RHGB is done, and keyboard and mouse
do not respond (frozen). I did not try to rsh from a different machine to see if
I can get in though.
Comment 7 austin 2007-12-05 02:42:32 EST
I had a Q963 on hand and had a try under RHEL5.1 GA (2.6.18-53), this issue 
can not be reproduced in my side. The installation process is OK with i810 
driver (Although this is some errors info in log but it is just related with 
3D.) and after installation, the booting/reboot/shutdown are all OK with i810 

In your last feedback, I'd like to know if you can get X log file 
(/var/log/X.0.log) and post it here after you updated the kernel (rsh?)? Or 
you still see the kernal panic after you updated your kernel? (Ps. Do you have 
a try of whole RHEL5.1 GA in this machine? Or you just update the kernel to 
2.6.18-53 and still use the original system?)

Comment 8 Homayoun Shahri 2008-05-12 17:12:47 EDT
I did install the latest kernel 2.6.18-53.1.14, but the result is still the
same! If I boot with this kernel, the machine freezes after the graphical boot,
at the point that login prompt get displayed. Kernel 2.6.20 works perfectly.
Since the machine freezes completely (no mouse/keyboard, and no remote access)
with black screen and then kernel panic shortly after, I can not get the
X.0.log, nor can I get the kernel panic messages, unless I manually write the
whole page. Is there just some particular info that you need? Or could you
suggest a way that I can to this info?

Comment 9 Homayoun Shahri 2008-06-26 14:11:39 EDT
I just upgrade to RHEL 5.2, kernel version 2.6.18-92.1.6.el5, and the problem is
resolved, machine no longer freezes with kernel panic following.

Comment 10 John Villalovos 2009-04-27 10:48:54 EDT
Marking closed based on Comment 9

Note You need to log in before you can comment on or make changes to this bug.